Рейтинг темы:
  • 0 Голос(ов) - 0 в среднем
  • 1
  • 2
  • 3
  • 4
  • 5
Кольцо Ethernet
#1
Добрый день форумчане!

Помогите разобраться, у нас на предприятии имеется такая кольцевая архитектура.
[Изображение: 1.jpg]
После разрыва "кольца" Ethernet между корзинами А5 и А6 (патч корд погрызла мышь, хотя отрава лежала в шкафу), через некоторое время происходит потеря связи с корзинами А3,А4,А5. В сети настроено несколько супервизоров. В момент потери связи с корзинами, А2 был первичным контроллером, после его перезагрузки связь с модулями восстановилась.  Это уже не первый случай пропадания связи при обрыве кольца. Вот мы и не знаем на кого грешить, то ли это модуль Ehternet в корзине А2 или 1715 AENTR (больше ссылаемся на 1715). Подскажите, что предпринять, чтоб связь не рвалась при разрыве кольца.

Ревизии модулей в корзинах:

А1:1756-L71            20.54
     1756-EN2TR/В     5.028
     1756-RM/В          3.003

A2:1756-L71             20.54
     1756-EN2TR/В      5.028
     1756-RM/В           3.003

A3:1715-AENTR/A      1.005

A4:1756-EN2TR/В       5.028

A5:1756-EN2TR/В       5.028

A6:1756-EN2TR/В       4.004

Диагностика модулей:
[Изображение: 5.jpg] [Изображение: 6.jpg] [Изображение: 7.jpg] [Изображение: 8.jpg] [Изображение: 9.jpg] [Изображение: 10.jpg] [Изображение: 11.jpg]
Ответ }
Thanks given by:
#2
Я бы начал с того, что поднял бы ревизии процессоров 1756-L71 до 20.055 и привёл бы ревизии ВСЕХ 1756-EN2TR/В и 1756-RM/В до соответствия ОДНОМУ набору прошивок V20.055_kit4_ENHCLXRED.zip, как положено в системах с резервированием.

Похоже, у Вас модули работают "кто в лес, кто по дрова".
Ответ }
Thanks given by: sanches
#3
Как минимум, я бы прошил 1715-AENTR до самой актуальной v3.001. Ну, и чтобы два раза не вставать, поднял бы A6:1756-EN2TR/В до v5.028. Это с очень высокой вероятностью решило бы проблему.

Поднимать ли процессор до актуальной v20.058_kit1- это целесообразно, но, как мне кажется,  второстепенно.

Update: См. также этот документ
Ответ }
Thanks given by: sanches
#4
Здравствуйте.

Я бы на Вашем месте сделал бы следующее:

1. Добавил бы диагностику сети DLR , как сказано в документе DLR Faceplate V3.01.pdf. Очень наглядно будет.
2. Обратите внимание что написано в документе enet-ap005_-en-p.pdf

"Any of the following can cause a Rapid Ring Fault:
• 5 intentional disconnections/reconnections of a node from the network within 30 seconds
• A duplex mismatch between two connected devices
• Electromagnetic noise on the network
• Unstable physical connections, such as intermittent connectors
Given the nature of a Rapid Ring Fault, the Last Active Node information can be inaccurate when a Rapid
Ring Fault condition is present"

После того, как Вы будете видеть ясную картину, что происходит можно будет решать как поступать. Удачи!
Ответ }
Thanks given by: sanches
#5
Спасибо за советы. А стоит ли использовать последнюю ревизию 3.001 для модуля 1715-AENTR или можно будет использовать ревизию 2.002.
Ответ }
Thanks given by:
#6
А почему не актуальную?
Ответ }
Thanks given by:
#7
(04-Aug-2017, 16:15:36)oldDad Написал: А почему не актуальную?

Ну, и к актуальной уже предупреждения вышли.
Надо изучать примечания к релизам и выбирать, учитывая совместимость и реалии проекта.
Ответ }
Thanks given by:
#8
Дело в том, что у нас на станциях используется Windows XP (хотели сделать апгрейд, но денег не выделили). И по мануалу мы можем повысить ревизию максимум до 2.003.
Ответ }
Thanks given by:
#9
(04-Aug-2017, 15:18:32)sanches Написал: Спасибо за советы. А стоит ли использовать последнюю ревизию 3.001 для модуля 1715-AENTR или можно будет использовать ревизию 2.002.

Сперва попробуйте 2.002.
Ответ }
Thanks given by:


Перейти к форуму: